Component({
  props: {
    trees: [],
    onClick: () => {}
  },
  methods: {
    onClick(index) {
      const {
        onClick,
        trees = []
      } = this.props;
      onClick && onClick(trees[index]);
    }

  }
});